#include<bits/stdc++.h>
using namespace  std;
#define ll long long int
#define pb push_back 
#define IShowSpeed ios_base::sync_with_stdio(false);cin.tie(NULL);cout.tie(NULL);
const int N=3e5+100;
const int mod=1e9+7;

int main()
{
	IShowSpeed
	ll h,w,sum=0;
	cin>>h>>w;
	if(w>h) swap(h,w);
	for(ll i=1;i<w;i++) sum+=w/i*i*h;
	for(ll i=1;i<=h;i++) sum+=h/i*i*w;
	cout<<sum;
}